This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 632148 - activation server doesn't exit with session
activation server doesn't exit with session
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libbonobo (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
: ZStream
Depends On: 444500
Blocks: 641814 847650 854013 862822 864489 866391 869122 871540 877308
  Show dependency treegraph
 
Reported: 2010-09-09 05:32 EDT by Olivier Fourdan
Modified: 2013-09-23 07:11 EDT (History)
7 users (show)

See Also:
Fixed In Version: libbonobo-2.16.0-2.el5
Doc Type: Bug Fix
Doc Text:
Previously, the activation server didn't exit with the session. This update provides a new environment variable, BONOBO_ACTIVATION_RUN_SERVER_PER_SESSION, which allows the bonobo-activation-server to start per-session and exit with each session.
Story Points: ---
Clone Of: 444500
Environment:
Last Closed: 2013-09-23 07:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch based on Fedora commit (2.00 KB, patch)
2010-09-09 05:36 EDT, Olivier Fourdan
no flags Details | Diff
Another patch based on current upstream code (3.20 KB, patch)
2010-09-09 05:42 EDT, Olivier Fourdan
no flags Details | Diff

  None (edit)
Description Olivier Fourdan 2010-09-09 05:32:19 EDT
+++ This bug was initially created as a clone of Bug #444500 +++

Description of problem:

The activation server doesn't exit with the session.

Version-Release number of selected component (if applicable):

libbonobo-2.16.0-1

How reproducible:

Always for the customer.

Steps to Reproduce:
1. Log in
2. C-A-Backspace
3. bonobo-activation-server doesn't exit
Comment 1 Olivier Fourdan 2010-09-09 05:36:45 EDT
Created attachment 446199 [details]
Patch based on Fedora commit
Comment 2 Olivier Fourdan 2010-09-09 05:42:18 EDT
Created attachment 446201 [details]
Another patch based on current upstream code

This is an alternate patch, based on current upstream code.

I don't know which patch is preferable, so I attach both. Both patches have been evaluated successfully in our customer's environment.
Comment 31 Ray Strode [halfline] 2012-08-10 11:42:34 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the activation server didn't exit with the session. This update provides a new environment variable, BONOBO_ACTIVATION_RUN_SERVER_PER_SESSION, which allows the bonobo-activation-server to start per-session and exit with each session.

Note You need to log in before you can comment on or make changes to this bug.